<?php
/**
 *Plugin Name: WooCommerce Coupon Box Premium
 *Plugin URI: http://villatheme.com
 *Description: The easiest way to share your coupon code and grow your social followers at the same time. With WooCommerce Coupon Box, your customers will see a popup that motivates them to follow your social profiles to get coupon code.
 *Version: 2.0.4.2
 *Author: 20script
 *Author URI: http://www.20script.ir
 *Text Domain: woocommerce-coupon-box
 *Domain Path: /languages
 *Copyright 2018-2019 VillaTheme.com. All rights reserved.
 * Requires at least: 4.4
 * Tested up to: 5.0.3
 * WC requires at least: 3.0.0
 * WC tested up to: 3.5.3
 **/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
define( 'VI_WOOCOMMERCE_COUPON_BOX_VERSION', '2.0.4.2' );
/**
 * Detect plugin. For use on Front End only.
 */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
	$init_file = WP_PLUGIN_DIR . DIRECTORY_SEPARATOR . "woocommerce-coupon-box" . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . "define.php";
	require_once $init_file;
} else {
	if ( ! function_exists( 'wcb_notification' ) ) {
		function wcb_notification() {
			?>
            <div id="message" class="error">
                <p><?php _e( 'Please install and activate WooCommerce to use WooCommerce Coupon Box.', 'woocommerce-coupon-box' ); ?></p>
            </div>
			<?php
		}
	}
	add_action( 'admin_notices', 'wcb_notification' );
}